Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025107
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-11-07 18:002013-12-20 15:10
ReportercaristuView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revisiona494c3ba7251
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomalsasua
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025107: Return a receipt using customer credit does not generate an invoice automatically

DescriptionWhen returning a receipt and using customer credit for the return, the customer balance is not updated until the cash up process is done, because it generates the invoice that updates the customer credit.
Steps To Reproduce1) In the backend configure the POS Terminal to allow payments using credit
2) Assign a credit line limit to a customer
3) In WebPOS, return a receipt for the customer in step 2) and use credit for the return
4) In the backend notice that the customer balance has not been updated
5) Execute the cash up process
6) In the backend, notice that the customer balance is updated now
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0025128RMP29 closedmarvintm Use credit button should be displayed for returns 

-  Notes
(0062226)
hgbot (developer)
2013-11-19 12:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a494c3ba725145a35562af32ca525cdadc92123a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 19 12:23:17 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a494c3ba725145a35562af32ca525cdadc92123a [^]

Fixed issue 25107. Now an invoice will be automatically generated for returns paid on credit

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0062229)
malsasua (developer)
2013-11-19 17:41

verified
(0062305)
hgbot (developer)
2013-11-21 10:20

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: a494c3ba725145a35562af32ca525cdadc92123a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 19 12:23:17 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/a494c3ba725145a35562af32ca525cdadc92123a [^]

Fixed issue 25107. Now an invoice will be automatically generated for returns paid on credit

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0062317)
guilleaer (developer)
2013-11-21 12:17

reclosed
(0062580)
hgbot (developer)
2013-12-05 12:12

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: a494c3ba725145a35562af32ca525cdadc92123a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 19 12:23:17 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/a494c3ba725145a35562af32ca525cdadc92123a [^]

Fixed issue 25107. Now an invoice will be automatically generated for returns paid on credit

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0062629)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062908)
hgbot (developer)
2013-12-19 19:47

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: a494c3ba725145a35562af32ca525cdadc92123a
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Nov 19 12:23:17 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/a494c3ba725145a35562af32ca525cdadc92123a [^]

Fixed issue 25107. Now an invoice will be automatically generated for returns paid on credit

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0063005)
guilleaer (developer)
2013-12-20 15:10

reclosed

- Issue History
Date Modified Username Field Change
2013-11-07 18:00 caristu New Issue
2013-11-07 18:00 caristu Assigned To => marvintm
2013-11-07 18:00 caristu Triggers an Emergency Pack => No
2013-11-07 19:41 caristu Issue Monitored: networkb
2013-11-11 12:25 malsasua Assigned To marvintm => malsasua
2013-11-11 18:14 caristu Target Version => RMP29
2013-11-11 22:19 caristu Relationship added related to 0025128
2013-11-19 10:00 marvintm Assigned To malsasua => marvintm
2013-11-19 12:23 hgbot Checkin
2013-11-19 12:23 hgbot Note Added: 0062226
2013-11-19 12:23 hgbot Status new => resolved
2013-11-19 12:23 hgbot Resolution open => fixed
2013-11-19 12:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a494c3ba725145a35562af32ca525cdadc92123a [^]
2013-11-19 17:41 malsasua Review Assigned To => malsasua
2013-11-19 17:41 malsasua Note Added: 0062229
2013-11-19 17:41 malsasua Status resolved => closed
2013-11-21 10:20 hgbot Checkin
2013-11-21 10:20 hgbot Note Added: 0062305
2013-11-21 10:20 hgbot Status closed => resolved
2013-11-21 10:20 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a494c3ba725145a35562af32ca525cdadc92123a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/a494c3ba725145a35562af32ca525cdadc92123a [^]
2013-11-21 12:17 guilleaer Note Added: 0062317
2013-11-21 12:17 guilleaer Status resolved => closed
2013-11-21 12:17 guilleaer Fixed in Version => RMP29
2013-12-05 12:12 hgbot Checkin
2013-12-05 12:12 hgbot Note Added: 0062580
2013-12-05 12:12 hgbot Status closed => resolved
2013-12-05 12:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/a494c3ba725145a35562af32ca525cdadc92123a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/a494c3ba725145a35562af32ca525cdadc92123a [^]
2013-12-05 17:21 guilleaer Note Added: 0062629
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:47 hgbot Checkin
2013-12-19 19:47 hgbot Note Added: 0062908
2013-12-19 19:47 hgbot Status closed => resolved
2013-12-19 19:47 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/a494c3ba725145a35562af32ca525cdadc92123a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/a494c3ba725145a35562af32ca525cdadc92123a [^]
2013-12-20 15:10 guilleaer Note Added: 0063005
2013-12-20 15:10 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker